{
    "title": "Testing kill & restart",
    "description": "Testing behavoir when killing and restarting the application",
    "tags": [],
    "steady-state-hypothesis": {
        "title": "Hypothesis",
        "probes": []
    },
    "method": [
        {
            "name": "enable_chaosmonkey",
            "provider": {
                "arguments": {
                    "base_url": "http://localhost:8081/actuator"
                },
                "func": "enable_chaosmonkey",
                "module": "chaosspring.actions",
                "type": "python"
            },
            "type": "action"
        },
        {
            "name": "configure_assaults",
            "provider": {
                "arguments": {
                    "base_url": "http://localhost:8081/actuator",
                    "assaults_configuration": {
                        "level": 5,
                        "latencyRangeStart": 2000,
                        "latencyRangeEnd": 5000,
                        "latencyActive": false,
                        "exceptionsActive": false,
                        "killApplicationActive": true,
                        "restartApplicationActive": true
                    }
                },
                "func": "change_assaults_configuration",
                "module": "chaosspring.actions",
                "type": "python"
            },
            "type": "action"
        }
    ],
    "rollbacks": []
}
